# Update phi (spatial effects) for Bicar model
# ASSUMES ZERO obs in block i
# Assumes Improper BiCAR model:
#	 phi_i|phi_(-i),Sigma.phi ~ N(1/m_i sum_{l in Q}\phi_l, Sigma.phi/mi)
# Inputs:
#     mi 		= # neighbors for block i
#     y1		= n_i x 1 y1 vector
#	phibar	= mean spatial effect for block neighbors
#	Tau		= 2x2 Within-Block Error Precision
#	Tauphi	= 2x2 Spatial Precision
# Returns: 2 x 1 phi_i vector
# March 15, 2011
################################################
update.phizero<-function(phibar=phibar[j,],mi=m[j],Tau=Tau,Tauphi=Tauphi){
  V<-solve(mi*Tauphi)
  m<-V%*%(mi*Tauphi%*%phibar)
  phi<-rmvnorm(1,m,V)
  return(phi)
}